#! /bin/sh
# -*- tab-width: 2; indent-tabs-mode: nil; sh-basic-offset: 2; -*-

. $(dirname $0)/common.sh

date_file="$HOME/.drweb/.scan_date";
config="$HOME/.drweb/drweb-cc.conf";

start()
{
  setsid $bindir/drweb-cc --scan 2>/dev/null;
  date +"%-j" > $date_file;
}

parse_schedule()
{
  date=$1;
  hour=$2;
  minute=$3;
}

shedule_data=$(cat $config | sed -n 's/Schedule *= \"*\([0-9]*\) \([0-9]*\) \([0-9]*\)\"/\1 \2 \3/p');
[ -z "$shedule_data" ] && exit 1;

parse_schedule $shedule_data;

old_date=0;

if [ -f $date_file ]; then
  old_date=$(cat $date_file);
fi

now_date=$(date +"%-j");
now_hour=$(date +"%-H");
now_minute=$(date +"%-M");

if [ $old_date -gt $now_date ]; then
  now_date=$((now_date+365));
fi

if [ $date -eq 1 ]; then
  scan_date=$now_date;
else
  scan_date=$((old_date+date));
fi

if [ $now_date -ge $scan_date ]; then
  if [ $now_date -gt $scan_date ]; then
	  start;
  elif [ $now_hour -ge $hour ]; then
	  start;
  fi
fi
