#! /bin/sh
# -*- tab-width: 2; indent-tabs-mode: nil; sh-basic-offset: 2; -*-

. $(dirname $0)/common.sh

params="${1:-*} ${2:-*} ${3:-*} ${4:-*} ${5:-*}";
script_name="update.sh";
script="$bindir/scripts/$package/$script_name";
crontab_check_orig="$bindir/scripts/$package/crontab-check.sh";
crontab_check="$HOME/.drweb/crontab-check.sh";
log="$HOME/.drweb/crontab-updater.log";
uuid="745b8d49";

get_new_crontab()
{
  crontab -l | grep -v "$uuid";
  if [ x"$1" != x"" ]; then
	  cp -f $crontab_check_orig $crontab_check;
	  echo "$params sh -c \"($crontab_check $uuid $script 2>&1) >>$log\"" "# $uuid";
  fi
}

TMPFILE=$(mktemp "XXXXX") || exit 1;
get_new_crontab $1 > $TMPFILE;
crontab $TMPFILE;
rm -f $TMPFILE;
